org.eclipse.net4j.util.transaction

## Class TransactionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.transaction.TransactionException

- All Implemented Interfaces:
    java.io.Serializable

      public class TransactionException
      extends java.lang.RuntimeException

  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionException()`
    `TransactionException(java.lang.String message)`
    `TransactionException(java.lang.String message, java.lang.Throwable cause)`
    `TransactionException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionException

          public TransactionException()

    - #### TransactionException

          public TransactionException(java.lang.String message)

    - #### TransactionException

          public TransactionException(java.lang.Throwable cause)

    - #### TransactionException

          public TransactionException(java.lang.String message,
                                      java.lang.Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html